<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "frapl01_3a".
 *
 * @property string $FRAPL01_UUID
 * @property string $FRAPL01_3A_UUID
 * @property string $FRAPL01_3A_FILE File
 * @property string $FRAPL01_3A_BUKTI Bukti Persyaratan Dasar
 * @property string $FRAPL01_3A_SYARAT Memenuhi / Tidak
 * @property string $CREATED
 * @property string $USERNAME
 */
class Frapl013a extends \yii\db\ActiveRecord
{

    /**
     * ENUM field values
     */
    const FRAPL01_3A_SYARAT_1 = '1';
    const FRAPL01_3A_SYARAT_0 = '0';

    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'frapl01_3a';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['FRAPL01_UUID', 'FRAPL01_3A_UUID', 'FRAPL01_3A_FILE', 'FRAPL01_3A_BUKTI', 'FRAPL01_3A_SYARAT', 'CREATED', 'USERNAME'], 'required'],
            [['FRAPL01_UUID', 'FRAPL01_3A_UUID', 'FRAPL01_3A_SYARAT'], 'string'],
            [['CREATED'], 'safe'],
            [['FRAPL01_3A_FILE', 'FRAPL01_3A_BUKTI', 'USERNAME'], 'string', 'max' => 50],
            ['FRAPL01_3A_SYARAT', 'in', 'range' => array_keys(self::optsFRAPL013ASYARAT())],
            [['FRAPL01_3A_UUID'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'FRAPL01_UUID' => 'Frapl01 Uuid',
            'FRAPL01_3A_UUID' => 'Frapl01 3a Uuid',
            'FRAPL01_3A_FILE' => 'File',
            'FRAPL01_3A_BUKTI' => 'Bukti Persyaratan Dasar',
            'FRAPL01_3A_SYARAT' => 'Memenuhi / Tidak',
            'CREATED' => 'Created',
            'USERNAME' => 'Username',
        ];
    }


    /**
     * column FRAPL01_3A_SYARAT ENUM value labels
     * @return string[]
     */
    public static function optsFRAPL013ASYARAT()
    {
        return [
            self::FRAPL01_3A_SYARAT_1 => '1',
            self::FRAPL01_3A_SYARAT_0 => '0',
        ];
    }

    /**
     * @return string
     */
    public function displayFRAPL013ASYARAT()
    {
        return self::optsFRAPL013ASYARAT()[$this->FRAPL01_3A_SYARAT];
    }

    /**
     * @return bool
     */
    public function isFRAPL013ASYARAT1()
    {
        return $this->FRAPL01_3A_SYARAT === self::FRAPL01_3A_SYARAT_1;
    }

    public function setFRAPL013ASYARATTo1()
    {
        $this->FRAPL01_3A_SYARAT = self::FRAPL01_3A_SYARAT_1;
    }

    /**
     * @return bool
     */
    public function isFRAPL013ASYARAT0()
    {
        return $this->FRAPL01_3A_SYARAT === self::FRAPL01_3A_SYARAT_0;
    }

    public function setFRAPL013ASYARATTo0()
    {
        $this->FRAPL01_3A_SYARAT = self::FRAPL01_3A_SYARAT_0;
    }
}
